<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/bg"
    android:orientation="vertical">

    <com.android.chmo.ui.view.TopBar
        android:id="@+id/top_bar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:topTitle="余额充值" />

    <com.android.chmo.ui.view.TouchScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/top_bar"
        android:layout_alignParentBottom="true"
        android:fillViewport="true">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:paddingBottom="100dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:padding="15dp"
                android:visibility="gone">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="10dp"
                    android:text="您当前的余额："
                    android:textColor="@color/black"
                    android:textSize="15sp" />

                <TextView
                    android:id="@+id/balance"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="0元"
                    android:textColor="@color/pink"
                    android:textSize="15sp" />
            </LinearLayout>


            <GridLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:columnCount="3"
                android:paddingLeft="15dp"
                android:paddingRight="15dp">

                <LinearLayout
                    android:id="@+id/value_50"
                    android:layout_width="0dp"
                    android:layout_height="60dp"
                    android:layout_columnWeight="1"
                    android:layout_marginLeft="5dp"
                    android:layout_marginRight="5dp"
                    android:background="@drawable/bg_recharge_selector"
                    android:gravity="center"
                    android:orientation="vertical"
                    android:tag="50"
                    android:textColor="@color/label_text"
                    android:textSize="16sp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="20dp"
                        android:text="50M币"
                        android:textColor="@color/color_recharge_title"
                        android:textSize="14sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="18dp"
                        android:text="¥50"
                        android:textColor="@color/color_recharge_hint"
                        android:textSize="13sp" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/value_100"
                    android:layout_width="0dp"
                    android:layout_height="60dp"
                    android:layout_columnWeight="1"
                    android:layout_marginLeft="5dp"
                    android:layout_marginRight="5dp"
                    android:background="@drawable/bg_recharge_selector"
                    android:gravity="center"
                    android:orientation="vertical"
                    android:tag="100"
                    android:textColor="@color/label_text"
                    android:textSize="16sp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="20dp"
                        android:text="100M币"
                        android:textColor="@color/color_recharge_title"
                        android:textSize="14sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="18dp"
                        android:text="¥100"
                        android:textColor="@color/color_recharge_hint"
                        android:textSize="13sp" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/value_200"
                    android:layout_width="0dp"
                    android:layout_height="60dp"
                    android:layout_columnWeight="1"
                    android:layout_marginLeft="5dp"
                    android:layout_marginRight="5dp"
                    android:background="@drawable/bg_recharge_selector"
                    android:gravity="center"
                    android:orientation="vertical"
                    android:tag="200"
                    android:textColor="@color/label_text"
                    android:textSize="16sp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="20dp"
                        android:text="200M币"
                        android:textColor="@color/color_recharge_title"
                        android:textSize="14sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="18dp"
                        android:text="¥200"
                        android:textColor="@color/color_recharge_hint"
                        android:textSize="13sp" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/value_500"
                    android:layout_width="0dp"
                    android:layout_height="60dp"
                    android:layout_columnWeight="1"
                    android:layout_marginLeft="5dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginRight="5dp"
                    android:background="@drawable/bg_recharge_selector"
                    android:gravity="center"
                    android:orientation="vertical"
                    android:tag="500"
                    android:textColor="@color/label_text"
                    android:textSize="16sp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="20dp"
                        android:text="500M币"
                        android:textColor="@color/color_recharge_title"
                        android:textSize="14sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="18dp"
                        android:text="¥500"
                        android:textColor="@color/color_recharge_hint"
                        android:textSize="13sp" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/value_1000"
                    android:layout_width="0dp"
                    android:layout_height="60dp"
                    android:layout_columnWeight="1"
                    android:layout_marginLeft="5dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginRight="5dp"
                    android:background="@drawable/bg_recharge_selector"
                    android:gravity="center"
                    android:orientation="vertical"
                    android:tag="1000"
                    android:textColor="@color/label_text"
                    android:textSize="16sp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="20dp"
                        android:text="1000M币"
                        android:textColor="@color/color_recharge_title"
                        android:textSize="14sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="18dp"
                        android:text="¥1000"
                        android:textColor="@color/color_recharge_hint"
                        android:textSize="13sp" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/value_2000"
                    android:layout_width="0dp"
                    android:layout_height="60dp"
                    android:layout_columnWeight="1"
                    android:layout_marginLeft="5dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginRight="5dp"
                    android:background="@drawable/bg_recharge_selector"
                    android:gravity="center"
                    android:orientation="vertical"
                    android:tag="2000"
                    android:textColor="@color/label_text"
                    android:textSize="16sp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="20dp"
                        android:text="2000M币"
                        android:textColor="@color/color_recharge_title"
                        android:textSize="14sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="18dp"
                        android:text="¥2000"
                        android:textColor="@color/color_recharge_hint"
                        android:textSize="13sp" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/value_3000"
                    android:layout_width="0dp"
                    android:layout_height="60dp"
                    android:layout_columnWeight="1"
                    android:layout_marginLeft="5dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginRight="5dp"
                    android:background="@drawable/bg_recharge_selector"
                    android:gravity="center"
                    android:orientation="vertical"
                    android:tag="3000"
                    android:textColor="@color/label_text"
                    android:textSize="16sp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="20dp"
                        android:text="3000M币"
                        android:textColor="@color/color_recharge_title"
                        android:textSize="14sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="18dp"
                        android:text="¥3000"
                        android:textColor="@color/color_recharge_hint"
                        android:textSize="13sp" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/value_5000"
                    android:layout_width="0dp"
                    android:layout_height="60dp"
                    android:layout_columnWeight="1"
                    android:layout_marginLeft="5dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginRight="5dp"
                    android:background="@drawable/bg_recharge_selector"
                    android:gravity="center"
                    android:orientation="vertical"
                    android:tag="5000"
                    android:textColor="@color/label_text"
                    android:textSize="16sp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="20dp"
                        android:text="5000M币"
                        android:textColor="@color/color_recharge_title"
                        android:textSize="14sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="18dp"
                        android:text="¥5000"
                        android:textColor="@color/color_recharge_hint"
                        android:textSize="13sp" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/value_10000"
                    android:layout_width="0dp"
                    android:layout_height="60dp"
                    android:layout_columnWeight="1"
                    android:layout_marginLeft="5dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginRight="5dp"
                    android:background="@drawable/bg_recharge_selector"
                    android:gravity="center"
                    android:orientation="vertical"
                    android:tag="1000"
                    android:textColor="@color/label_text"
                    android:textSize="16sp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="20dp"
                        android:text="10000M币"
                        android:textColor="@color/color_recharge_title"
                        android:textSize="14sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="18dp"
                        android:text="¥10000"
                        android:textColor="@color/color_recharge_hint"
                        android:textSize="13sp" />
                </LinearLayout>
            </GridLayout>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="20dp"
                android:layout_marginLeft="20dp"
                android:layout_marginTop="30dp"
                android:text="选择充值方式"
                android:textColor="#ff000000"
                android:textSize="14sp"
                android:textStyle="bold" />


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="20dp"
                android:layout_marginTop="15dp"
                android:layout_marginRight="20dp"
                android:background="@drawable/bg_cell"
                android:orientation="vertical">

                <LinearLayout
                    android:id="@+id/alipay"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:padding="15dp">

                    <ImageView
                        android:layout_width="50dp"
                        android:layout_height="50dp"
                        android:src="@mipmap/icon_zhifubao" />

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="15dp"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="支付宝"
                            android:textColor="#1a1a1a"
                            android:textSize="14sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="10dp"
                            android:text="推荐有支付宝账号的用户使用"
                            android:textColor="@color/gray"
                            android:textSize="12sp" />

                    </LinearLayout>

                    <RadioButton
                        android:id="@+id/alipay_check"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:button="@drawable/radio"
                        android:checked="true" />

                </LinearLayout>
            </LinearLayout>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="16dp"
                android:layout_gravity="center"
                android:layout_marginTop="15dp"
                android:text="注:充值金额不可退还和返现"
                android:textColor="#ff999999"
                android:textSize="11sp" />
        </LinearLayout>
    </com.android.chmo.ui.view.TouchScrollView>


    <Button
        android:id="@+id/pay"
        style="@style/largeBtn"
        android:layout_alignParentBottom="true"
        android:layout_marginLeft="20dp"
        android:layout_marginRight="20dp"
        android:layout_marginBottom="20dp"
        android:text="立即支付" />


</RelativeLayout>